
rsa_int(n,cin,cout,over,overn,csa,addsub,
        deci,stretch,stretch2,msb0,name)
int n,cin,cout,over,overn,csa,addsub,
    deci,stretch,stretch2,msb0;
char *name;
{
 int  d=msb0?0:n-1;
 int  f=msb0?n-1:0;

 char *ncout,*nover,*na,*nb,*nc,*ns,*nco;


   if ( stretch || stretch2 || deci )
      printf("Warning : options deci, stretch, stretch2 are not taken into account for logicalbox view\n");

   ncout=NAME("cout%s",(rsa_puiss(n-1)&1) ? "" : "_n");
   nover=NAME("over%s",(rsa_puiss(n-2)&1) ? "" : "_n");
      na=NAME( "a[%d:%d]",d,f);
      nb=NAME( "b[%d:%d]",d,f);
      nc=NAME( "c[%d:%d]",d,f);
      ns=NAME( "s[%d:%d]",d,f);
     nco=NAME("co[%d:%d]",d,f);

               DEF_LOFIG(name);
               LOCON(   na, IN,   na);
               LOCON(   nb, IN,   nb);
   if( csa )   LOCON(   nc, IN,   nc);
   if( cin )   LOCON("cin", IN,"cin");
   if(cout )   LOCON(  nco,OUT,  nco);
   if( csa )   LOCON("coc",OUT,"coc");
               LOCON(ncout,OUT,ncout);
   if( over | overn )
               LOCON(nover,OUT,nover);
               LOCON(   ns,OUT,   ns);
   if(addsub)  LOCON("sub", IN,"sub");
               LOCON("vdd", IN,"vdd");
               LOCON("vss", IN,"vss");
               SAVE_LOFIG();
}
